Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
EncloseNode Struct Reference

`#include <regparse.h>`

## Data Fields
NodeBase | base
int | state
int | type
int | regnum
OnigOptionType | option
AbsAddrType | call_addr
struct _Node * | target
OnigDistance | min_len
OnigDistance | max_len
int | char_len
int | opt_count

## Detailed Description

Definition at line 195 of file regparse.h.

## Field Documentation

## ◆ base

NodeBase EncloseNode::base

Definition at line 196 of file regparse.h.

## ◆ call_addr

AbsAddrType EncloseNode::call_addr

Definition at line 201 of file regparse.h.

## ◆ char_len

int EncloseNode::char_len

Definition at line 206 of file regparse.h.

## ◆ max_len

OnigDistance EncloseNode::max_len

Definition at line 205 of file regparse.h.

## ◆ min_len

OnigDistance EncloseNode::min_len

Definition at line 204 of file regparse.h.

## ◆ opt_count

int EncloseNode::opt_count

Definition at line 207 of file regparse.h.

## ◆ option

OnigOptionType EncloseNode::option

Definition at line 200 of file regparse.h.

## ◆ regnum

int EncloseNode::regnum

Definition at line 199 of file regparse.h.

## ◆ state

int EncloseNode::state

Definition at line 197 of file regparse.h.

## ◆ target

struct _Node* EncloseNode::target

Definition at line 202 of file regparse.h.

## ◆ type

int EncloseNode::type

Definition at line 198 of file regparse.h.

The documentation for this struct was generated from the following file:

- regparse.h